### Method

# Rsvg Handle has_sub

#### Declaration [src]

    gboolean
    rsvg_handle_has_sub (
      RsvgHandle* handle,
      const char* id
    )

#### Description [src]

Checks whether the element `id` exists in the SVG document.

Element IDs should look like an URL fragment identifier; for example, pass `#foo` (hash `foo`) to get the geometry of the element that has an `id="foo"` attribute.

Available since: | 2.22

#### Parameters

`id` | `const char*`
| An element’s id within the SVG, starting with “#” (a single hash character), for example, `#layer1`. This notation corresponds to a URL’s fragment ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `id` exists in the SVG document, `FALSE` otherwise.